Package org.eclipse.ui

# Interface IViewLayout

public interface IViewLayout
Represents the layout info for a view or placeholder in an `IPageLayout`.

This interface is not intended to be implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getShowTitle()`
Returns whether the view shows its title.
`boolean`
`isCloseable()`
Returns whether the view is closeable.
`boolean`
`isMoveable()`
Returns whether the view is moveable.
`boolean`
`isStandalone()`
Returns whether the view is a standalone view.
`void`
`setCloseable(boolean closeable)`
Sets whether the view is closeable.
`void`
`setMoveable(boolean moveable)`
Sets whether the view is moveable.

## Method Details

### isCloseable

boolean isCloseable()
Returns whether the view is closeable. The default is `true`.

Returns:
  `true` if the view is closeable, `false` if not

### setCloseable

void setCloseable(boolean closeable)
Sets whether the view is closeable.

Parameters:
  `closeable` - `true` if the view is closeable, `false` if not

### isMoveable

boolean isMoveable()
Returns whether the view is moveable. The default is `true`.

Returns:
  `true` if the view is moveable, `false` if not

### setMoveable

void setMoveable(boolean moveable)
Sets whether the view is moveable.

Parameters:
  `moveable` - `true` if the view is moveable, `false` if not

### isStandalone

boolean isStandalone()
Returns whether the view is a standalone view.

Returns:
  true if standalone, false otherwise.
See Also:
  - `IPageLayout.addStandaloneView(java.lang.String, boolean, int, float, java.lang.String)`

### getShowTitle

boolean getShowTitle()
Returns whether the view shows its title. This is only applicable to standalone views.

Returns:
  true if the title is shown, false otherwise.
See Also:
  - `IPageLayout.addStandaloneView(java.lang.String, boolean, int, float, java.lang.String)`